#ifndef SensorManager_h
#define SensorManager_h

#include "Arduino.h"
#include "SparkFun_BNO080_Arduino_Library.h"

class SensorManager {
  public:
    SensorManager();
    void sensorSetup();
    struct Rotation {
      float i;
      float j;
      float k;
      float w;
    };
    Rotation readLoop();
  private:
    BNO080 myIMU;
};

#endif